List integrations
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "http",
"config": {
"url": "<string>",
"timeout": 5000,
"headers": [],
"cookies": [],
"enableInputs": false,
"inputs": [],
"output": "<string>"
},
"name": "<string>",
"kind": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"group": "<string>",
"deletedAt": "<string>"
}
],
"paginate": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}Integration
List integrations
Retrieve a paginated list of integrations for the specified project.
GET
/
api
/
projects
/
{projectId}
/
integrations
List integrations
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project ID
Query Parameters
Search term to filter integrations by name
Current page
Number of items per page
Was this page helpful?
⌘I